Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib
Class MultipleInputs

    java.lang.Object
      org.apache.hadoop.mapred.lib.MultipleInputs

    public class MultipleInputs

extends Object

This class supports MapReduce jobs that have multiple input paths with a different `InputFormat` and `Mapper` for each path

Constructor Summary
`MultipleInputs()`

Method Summary
`static void` | `addInputPath(JobConf conf, Path path, Class<? extends InputFormat> inputFormatClass)` Add a `Path` with a custom `InputFormat` to the list of inputs for the map-reduce job.
`static void` | `addInputPath(JobConf conf, Path path, Class<? extends InputFormat> inputFormatClass, Class<? extends Mapper> mapperClass)` Add a `Path` with a custom `InputFormat` and `Mapper` to the list of inputs for the map-reduce job.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleInputs

    public MultipleInputs()

Method Detail

### addInputPath

    public static void addInputPath(JobConf conf,
                                    Path path,
                                    Class<? extends InputFormat> inputFormatClass)

  Add a `Path` with a custom `InputFormat` to the list of inputs for the map-reduce job.

  Parameters:
    `conf` - The configuration of the job
    `path` - `Path` to be added to the list of inputs for the job
    `inputFormatClass` - `InputFormat` class to use for this path

### addInputPath

    public static void addInputPath(JobConf conf,
                                    Path path,
                                    Class<? extends InputFormat> inputFormatClass,
                                    Class<? extends Mapper> mapperClass)

  Add a `Path` with a custom `InputFormat` and `Mapper` to the list of inputs for the map-reduce job.

  Parameters:
    `conf` - The configuration of the job
    `path` - `Path` to be added to the list of inputs for the job
    `inputFormatClass` - `InputFormat` class to use for this path
    `mapperClass` - `Mapper` class to use for this path

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation